From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/fcft/
Date: Fri, 20 May 2022 01:17:19 +0000 (UTC) [thread overview]
Message-ID: <1653009384.4fb28cac1c3df2ff22732d0d63aae70fab77bb77.sam@gentoo> (raw)
commit: 4fb28cac1c3df2ff22732d0d63aae70fab77bb77
Author: Arsen Arsenović <arsen <AT> aarsen <DOT> me>
AuthorDate: Thu May 19 20:12:22 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri May 20 01:16:24 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4fb28cac
media-libs/fcft: add 3.1.2
Signed-off-by: Arsen Arsenović <arsen <AT> aarsen.me>
Closes: https://github.com/gentoo/gentoo/pull/25562
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-libs/fcft/Manifest | 1 +
media-libs/fcft/fcft-3.1.2.ebuild | 94 +++++++++++++++++++++++++++++++++++++++
2 files changed, 95 insertions(+)
diff --git a/media-libs/fcft/Manifest b/media-libs/fcft/Manifest
index 66bc4c5c4128..65be8f97d422 100644
--- a/media-libs/fcft/Manifest
+++ b/media-libs/fcft/Manifest
@@ -1,3 +1,4 @@
DIST fcft-3.0.0.tar.gz 441458 BLAKE2B 9ff83691435953285f1b3f8b51dac7b17453a457eeb910f035e39c6fa3bb39098d3adbb7179f734261a4034e9ea8b034dd03a20ba0c364b7de2efe9b781dfdaa SHA512 fbf7ac7d777bdb530b90b79a0bd8b90d3f7ae8b099c2733304dbe89fbcc1a1a3493d1eac0478bcdee291d8c804da21461737fc3e34164637e86ff737023622b1
DIST fcft-3.0.1.tar.gz 441493 BLAKE2B 79fe864edf04b21fe88fa167e3390836e5c7254710082312068ff4c39624508e086f4eed2ea5706b52421b2276a6f2d1f2211ff0b256112d989764e667c44fe2 SHA512 856bec504a253678a2962c0a7c5029e5fd3d26e305ca3fcae8d9df398bcc84a03e9d67522673d1f1bb0ec91606c0627d6ab4bf2780cbb5965a01c91e6f0aac89
DIST fcft-3.1.1.tar.gz 741229 BLAKE2B ef3fdca8f88893f0c69ed48181dce2a185d5e67ba6fc94d2f782b64f3078700c6be909560448f2625d43517f94aac2d82f58df29804b0fae5a72372a5b4a4004 SHA512 0344fc55906dee2588162f805ad703fe0efd26f3a8ce794273721d6111dd29bdb3589bd863f24998346018932f78b4c2dc04c4e2c8b49286db1efa9ecbc5521f
+DIST fcft-3.1.2.tar.gz 741659 BLAKE2B d4c3b9ef444771f255b7b19e9645d53558caed2022a59759418fe0b9961f74833da2b760c0c961ce5fbbf91f3e0291dd87590fe00ab300ee194a497accba392e SHA512 b3874819ef90a4f1d1975cae72b925c928bc9758629e63b2083dab807166133bc68308ba4f9481c34c9e0b5262a1d2558e47cccf6ce9d34516583e48d03a5bf9
diff --git a/media-libs/fcft/fcft-3.1.2.ebuild b/media-libs/fcft/fcft-3.1.2.ebuild
new file mode 100644
index 000000000000..efecb5e0640c
--- /dev/null
+++ b/media-libs/fcft/fcft-3.1.2.ebuild
@@ -0,0 +1,94 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit meson python-any-r1
+
+DESCRIPTION="Simple library for font loading and glyph rasterization"
+HOMEPAGE="https://codeberg.org/dnkl/fcft"
+SRC_URI="https://codeberg.org/dnkl/fcft/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}"
+
+# MIT for fcft
+# ZLIB for nanosvg
+LICENSE="MIT ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="examples +harfbuzz +libutf8proc test"
+REQUIRED_USE="
+ libutf8proc? ( harfbuzz )
+ examples? ( libutf8proc )
+"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ media-libs/fontconfig
+ media-libs/freetype
+ x11-libs/pixman
+ examples? (
+ dev-libs/libutf8proc:=
+ dev-libs/wayland
+ )
+ harfbuzz? (
+ media-libs/harfbuzz:=
+ )
+ libutf8proc? (
+ dev-libs/libutf8proc:=
+ )
+"
+DEPEND="
+ ${RDEPEND}
+ app-i18n/unicode-data
+ dev-libs/tllist
+ examples? (
+ dev-libs/wayland-protocols
+ )
+ test? (
+ dev-libs/check
+ harfbuzz? ( media-fonts/noto-emoji )
+ )
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ app-text/scdoc
+ examples? (
+ dev-util/wayland-scanner
+ )
+"
+
+src_prepare() {
+ default
+
+ rm -r unicode || die "Failed removing vendored unicode-data"
+
+ sed -i "s;unicode/UnicodeData.txt;${EPREFIX}/usr/share/unicode-data/UnicodeData.txt;" \
+ meson.build || die "Failed changing UnicodeData.txt to system's copy"
+ sed -i "s;unicode/emoji-data.txt;${EPREFIX}/usr/share/unicode-data/emoji/emoji-data.txt;" \
+ meson.build || die "Failed changing emoji-data.txt to system's copy"
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_feature harfbuzz grapheme-shaping)
+ $(meson_feature libutf8proc run-shaping)
+ $(meson_use examples)
+ $(use test && meson_use harfbuzz test-text-shaping)
+ # bundled, tiny, I believe this means we should always include it
+ -Dsvg-backend=nanosvg
+ -Ddocs=enabled
+ -Dwerror=false
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ local DOCS=( CHANGELOG.md README.md )
+ meson_src_install
+
+ rm -r "${ED}"/usr/share/doc/${PN} || die
+
+ use examples && newbin "${BUILD_DIR}/example/example" fcft-example
+}
next reply other threads:[~2022-05-20 1:17 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-05-20 1:17 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-14 12:49 [gentoo-commits] repo/gentoo:master commit in: media-libs/fcft/ Arsen Arsenović
2025-03-12 17:56 Sam James
2025-03-12 17:56 Sam James
2025-03-12 17:56 Sam James
2025-03-12 14:06 Arsen Arsenović
2025-03-05 23:47 Arsen Arsenović
2025-01-10 13:06 Arsen Arsenović
2025-01-10 10:55 Arsen Arsenović
2025-01-07 22:44 Sam James
2025-01-07 22:44 Sam James
2025-01-07 21:05 Sam James
2024-10-23 19:39 Arsen Arsenović
2024-08-19 21:45 Michael Orlitzky
2024-05-28 14:03 Sam James
2024-02-27 12:41 Arsen Arsenović
2024-01-03 11:51 Sam James
2023-12-18 18:03 Arsen Arsenović
2023-12-18 0:03 Arsen Arsenović
2023-11-22 11:16 Arthur Zamarin
2023-07-14 11:01 Arsen Arsenović
2022-09-20 19:30 Sam James
2022-09-05 12:37 Joonas Niilola
2022-08-08 6:12 Joonas Niilola
2022-06-14 7:13 Joonas Niilola
2022-06-14 7:13 Joonas Niilola
2022-06-14 7:13 Joonas Niilola
2022-06-14 7:13 Joonas Niilola
2022-05-20 1:17 Sam James
2022-05-17 5:59 Sam James
2022-05-02 6:45 Florian Schmaus
2022-02-14 20:39 Sam James
2022-02-06 20:53 Ionen Wolkens
2022-02-05 23:39 Ionen Wolkens
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1653009384.4fb28cac1c3df2ff22732d0d63aae70fab77bb77.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox